/*
    TDMB412 Driver for Linux -- tdmb412-vars.c
    Brian Hughes
    June, 1995
    See ChangeLog for revision history

    Global variables needed for the driver.  
*/

#include <linux/version.h>
#include <linux/sched.h>

#include "tdmb412-const.h"
#include "tdmb412.h"
#include "tdmb412-read.h"
#include "tdmb412-write.h"
#include "tdmb412-sel.h"
#include "tdmb412-ioctl.h"
#include "tdmb412-open-close.h"

/*
    Device configuration info
*/

int io_base       = IO_BASE_DEFAULT ;
int jtag_irq      = JTAG_IRQ_DEFAULT ;	
int comport_irq   = COMPORT_IRQ_DEFAULT;
/* char kernel_version[] = UTS_RELEASE ;  */

/*
    Some status information
*/

int opened            = 0 ;		
char transfer_mode    = DEFAULT_TRANSFER_MODE ;

/*
    Some semaphores
*/

struct semaphore var_mutex = MUTEX ;    /* For mutual exclusion on */
                                        /* variables above */
struct semaphore device_mutex = MUTEX ; /* For mutex on device */

/* 
    The file_operations structure- interface to kernel
*/

struct file_operations tdmb412_file_ops = 
{									
    NULL,		/* lseek (makes no sense) */
    tdmb412_read,	/* read from device */		      
    tdmb412_write,	/* write to device */			
    NULL,		/* readdir (makes no sense either) */	
    tdmb412_select,	/* select */				
    tdmb412_ioctl,	/* ioctl */				
    NULL,		/* mmap (doesn't seem to make sense) */	
    tdmb412_open,	/* open device */			
    tdmb412_release,	/* release device */			
    NULL,		/* fsync (huh?) */			
    NULL,		/* fasync (huh again?) */		
    NULL,		/* check_media_change (no media) */	
    NULL		/* no revalidate_device */		
} ;
