/*
    TDMB412 Driver for Linux -- tdmb412-read.h
    Brian Hughes
    June, 1995
    See ChangeLog for revision history

    Provides required #defines for application to use the driver appropriately
*/

#ifndef TDMB412_H
#define TDMB412_H

/*
    ioctl operations
*/

#define TDMB412_RESET               0x0002 /* Reset board */
#define TDMB412_8_BIT_XFERS         0x0004 /* Switch to 8-bit transfer mode */
#define TDMB412_16_BIT_XFERS        0x0008 /* Switch to 16-bit transfer mode */
#define LINKREADABORT               0x0100 /* | For compatability with */
#define LINKWRITEABORT              0x0200 /* | transputer driver */

/*
    Constants that may be of interest to the user
*/

#define DEFAULT_TRANSFER_MODE TDMB412_16_BIT_XFERS

#endif /* !TDMB412_H */
